# Uses of Interface
org.opensaml.soap.wstrust.RequestSecurityTokenResponse

Packages that use RequestSecurityTokenResponse
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of RequestSecurityTokenResponse in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return types with arguments of type RequestSecurityTokenResponse
Modifier and Type
Method
Description
`List<RequestSecurityTokenResponse>`
RequestSecurityTokenResponseCollection.`getRequestSecurityTokenResponses()`
Returns the list of wst:RequestSecurityTokenResponse child elements.

## Uses of RequestSecurityTokenResponse in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement RequestSecurityTokenResponse
Modifier and Type
Class
Description
`class`
`RequestSecurityTokenResponseImpl`
RequestSecurityTokenResponseImpl.
Fields in org.opensaml.soap.wstrust.impl with type parameters of type RequestSecurityTokenResponse
Modifier and Type
Field
Description
`private final List<RequestSecurityTokenResponse>`
RequestSecurityTokenResponseCollectionImpl.`requestSecurityTokenResponses`
The list of wst:RequestSecurityTokenResponse child elements.
Methods in org.opensaml.soap.wstrust.impl that return RequestSecurityTokenResponse
Modifier and Type
Method
Description
`RequestSecurityTokenResponse`
RequestSecurityTokenResponseBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`RequestSecurityTokenResponse`
RequestSecurityTokenResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.soap.wstrust.impl that return types with arguments of type RequestSecurityTokenResponse
Modifier and Type
Method
Description
`List<RequestSecurityTokenResponse>`
RequestSecurityTokenResponseCollectionImpl.`getRequestSecurityTokenResponses()`
Returns the list of wst:RequestSecurityTokenResponse child elements.